Bug 827138 - no information about platform-specific boot partition requirements
no information about platform-specific boot partition requirements
Status: CLOSED CURRENTRELEASE
Product: Fedora Documentation
Classification: Fedora
Component: install-guide (Show other bugs)
devel
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Bokoc
Ruediger Landmann
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-31 13:32 EDT by David Lehman
Modified: 2013-07-29 13:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-29 13:46:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Lehman 2012-05-31 13:32:25 EDT
Description of problem:
The install guide appears to contain no information in the partitioning section about the various platform-specific partitioning requirements:

 GPT boot disk on BIOS needs 1MB BIOS Boot partition
 EFI boot disk needs 50-200MB EFI System partition
 PPC needs one of HFS+ /boot/efi, Apple Bootstrap, or PReP

Version-Release number of selected component (if applicable):
Fedora 17

Additional info:
It would be useful to provide descriptions of these requirements to ease the requirement for explanations in the installer itself.
Comment 1 Jack Reed 2012-11-22 19:30:47 EST
Thanks for this, David.

The BIOS Boot requirement was already added to the Advice on Partitions list [1] as the outcome of bug 704244. It stated two other conditions besides GPT that such a partition would be required, so I believe it should suffice. Let me know if you think it's not clear enough though.

I've documented the other two items in a new list item in Advice on Partitions (see http://git.fedorahosted.org/cgit/docs/install-guide.git/commit/?id=7965709818160ccc327be6bad38e3691146d4538)


[1] http://docs.fedoraproject.org/en-US/Fedora/17/html/Installation_Guide/s2-diskpartrecommend-x86.html

Note You need to log in before you can comment on or make changes to this bug.